### Method

# Gck Enumerator next_n

#### Declaration [src]

    GList*
    gck_enumerator_next_n (
      GckEnumerator* self,
      gint max_objects,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the next set of objects from the enumerator. The maximum number of objects can be specified with `max_objects`. If -1 is specified, then all the remaining objects will be returned.

`NULL` is also returned if the function fails. Use the `error` to determine whether a failure occurred or not.

#### Parameters

`max_objects` | `gint`
| The maximum amount of objects to enumerate.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `GckObject*`
| A list of objects, which should be freed using gck_list_unref_free().
| The caller of the method takes ownership of the data, and is responsible for freeing it.